Subject: Re: [Add] ADD Planning for IETF107

From: "Deen, Glenn" <[email-masked]>
Date: Sat, 7 Mar 2020 00:43:39 +0000

On 3/6/20, 4:35 PM, "Paul Hoffman" <[email-masked]> wrote:

    FWIW, I consider draft-ietf-dnsop-resolver-information and draft-sah-resinfo-doh to be as much about discovery of secure resolvers as they are about resolver information. That is, if you know the address of your current resolver, you can ask it "are you my secure resolver" using those protocols.

[GD]. It, like the other documents have pieces that may contribute eventually to the work of the group so it's it was included for awareness by the group.

    Separately, I don't understand the inclusion of draft-arkko-abcd-distributed-resolver-selection in the agenda for this WG. The document gives its scope as:
       This memo discusses whether DNS clients can improve their privacy
       through the potential use of a set of multiple recursive resolver
       services.
    This doesn't seem like it is about resolver discovery or resolver information, but instead about resolver assignment (probably by an application or OS). I like many of the ideas in the draft, but they don't seem to be home here.

    --Paul Hoffman

[GD] draft-arkko-abcd-distributed-resolver-selection is included on the agenda as it touches on the topic space of ADD and does discuss aspects to be considered in the discover/selection process.   It's relevant to have people aware of the ideas in it as we progress forward.  While it doesn't necessarily match the direction the WG may go, at this early stage it's useful to hear the diversity of thoughts out there.

Since the group has been around only about 4 weeks and authors haven't yet begun submitting drafts, for this session it seemed useful to have the group made aware of it, and hence the presentation.   I expect by IETF108 the agenda will be much more work product focused.

Regards
glenn